<?php
class Permission extends DBObjectAutoCreate {
	public function __construct($id) {
		$field="permission_id";
		if (!is_numeric($id)){
			$field="permission_value";
			$id=strtolower($id);
		}
		
		parent::__construct("permissions", $field, $id);
	}
}
